com.independentsoft.exchange

## Enum DayOfWeekIndex

- java.lang.Object
- - java.lang.Enum<DayOfWeekIndex>
  - - com.independentsoft.exchange.DayOfWeekIndex

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DayOfWeekIndex>

      public enum DayOfWeekIndex
      extends java.lang.Enum<DayOfWeekIndex>

  Describes which week in a month is used in a relative recurrence pattern.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST` First.
    `FOURTH` Fourth.
    `LAST` Last.
    `NONE` None.
    `SECOND` Second.
    `THIRD` Third.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DayOfWeekIndex` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DayOfWeekIndex[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final DayOfWeekIndex FIRST

      First.

    - #### SECOND

          public static final DayOfWeekIndex SECOND

      Second.

    - #### THIRD

          public static final DayOfWeekIndex THIRD

      Third.

    - #### FOURTH

          public static final DayOfWeekIndex FOURTH

      Fourth.

    - #### LAST

          public static final DayOfWeekIndex LAST

      Last.

    - #### NONE

          public static final DayOfWeekIndex NONE

      None.

  - ### Method Detail

    - #### values

          public static DayOfWeekIndex[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DayOfWeekIndex c : DayOfWeekIndex.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DayOfWeekIndex valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null